package org.springblade.modules.external.ycbigdata.community.wrapper;

import org.springblade.community.agency.entity.Agency;
import org.springblade.community.houseuser.entity.Houseuser;
import org.springblade.community.houseuser.vo.HouseuserVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.community.vo.AgencyVO;
import org.springblade.modules.external.ycbigdata.community.vo.HouseUserVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class HouseUserWrapper extends BaseEntityWrapper<Houseuser, HouseUserVO> {


	public static HouseUserWrapper build(){
		return new HouseUserWrapper();
	}
	@Override
	public HouseUserVO entityVO(Houseuser houseuser) {

		HouseUserVO houseUserVO = Objects.requireNonNull(BeanUtil.copy(houseuser,HouseUserVO.class));
		return houseUserVO;
	}
}
